<?php declare(strict_types=1);

namespace App\Entity;

/**
 *
 */
class Domain
{
	
	/**
	 */
	public function __construct(private string $name, private String $panel, private int $id = 0)
	{}
	
	/**
	 * @return String
	 */
	public function getPanel(): string
	{
		return $this->panel;
	}
	
	/**
	 * @param String $panel
	 */
	public function setPanel(string $panel): void
	{
		$this->panel = $panel;
	}
	
	
	/**
	 * @return String
	 */
	public function getName(): string
	{
		return $this->name;
	}
	
	/**
	 * @param String $name
	 */
	public function setName(string $name): void
	{
		$this->name = $name;
	}
	
	
	/**
	 * @return int
	 */
	public function getId(): int
	{
		return $this->id;
	}
	
	/**
	 * @param int $id
	 */
	public function setId(int $id): void
	{
		$this->id = $id;
	}
	
}